<back to all web services

GetTranslationReview

The following routes are available for this service:
GET/RestApi/translations/review/{id}
import 'package:servicestack/servicestack.dart';

class GetTranslationReview implements IConvertible
{
    String? Id;

    GetTranslationReview({this.Id});
    GetTranslationReview.fromJson(Map<String, dynamic> json) { fromMap(json); }

    fromMap(Map<String, dynamic> json) {
        Id = json['Id'];
        return this;
    }

    Map<String, dynamic> toJson() => {
        'Id': Id
    };

    getTypeName() => "GetTranslationReview";
    TypeContext? context = _ctx;
}

class TranslationUnitProxy implements IConvertible
{
    String? PropertyName;
    String? SourceValue;
    String? TargetValue;

    TranslationUnitProxy({this.PropertyName,this.SourceValue,this.TargetValue});
    TranslationUnitProxy.fromJson(Map<String, dynamic> json) { fromMap(json); }

    fromMap(Map<String, dynamic> json) {
        PropertyName = json['PropertyName'];
        SourceValue = json['SourceValue'];
        TargetValue = json['TargetValue'];
        return this;
    }

    Map<String, dynamic> toJson() => {
        'PropertyName': PropertyName,
        'SourceValue': SourceValue,
        'TargetValue': TargetValue
    };

    getTypeName() => "TranslationUnitProxy";
    TypeContext? context = _ctx;
}

class TranslationUnitGroupProxy implements IConvertible
{
    String? Name;
    List<TranslationUnitProxy>? Units;

    TranslationUnitGroupProxy({this.Name,this.Units});
    TranslationUnitGroupProxy.fromJson(Map<String, dynamic> json) { fromMap(json); }

    fromMap(Map<String, dynamic> json) {
        Name = json['Name'];
        Units = JsonConverters.fromJson(json['Units'],'List<TranslationUnitProxy>',context!);
        return this;
    }

    Map<String, dynamic> toJson() => {
        'Name': Name,
        'Units': JsonConverters.toJson(Units,'List<TranslationUnitProxy>',context!)
    };

    getTypeName() => "TranslationUnitGroupProxy";
    TypeContext? context = _ctx;
}

class TranslationReviewProxy implements IConvertible
{
    String? ActualSourceLanguage;
    String? TargetLanguage;
    String? ItemType;
    List<TranslationUnitGroupProxy>? UnitGroups;

    TranslationReviewProxy({this.ActualSourceLanguage,this.TargetLanguage,this.ItemType,this.UnitGroups});
    TranslationReviewProxy.fromJson(Map<String, dynamic> json) { fromMap(json); }

    fromMap(Map<String, dynamic> json) {
        ActualSourceLanguage = json['ActualSourceLanguage'];
        TargetLanguage = json['TargetLanguage'];
        ItemType = json['ItemType'];
        UnitGroups = JsonConverters.fromJson(json['UnitGroups'],'List<TranslationUnitGroupProxy>',context!);
        return this;
    }

    Map<String, dynamic> toJson() => {
        'ActualSourceLanguage': ActualSourceLanguage,
        'TargetLanguage': TargetLanguage,
        'ItemType': ItemType,
        'UnitGroups': JsonConverters.toJson(UnitGroups,'List<TranslationUnitGroupProxy>',context!)
    };

    getTypeName() => "TranslationReviewProxy";
    TypeContext? context = _ctx;
}

TypeContext _ctx = TypeContext(library: 'www.imglobal.com', types: <String, TypeInfo> {
    'GetTranslationReview': TypeInfo(TypeOf.Class, create:() => GetTranslationReview()),
    'TranslationUnitProxy': TypeInfo(TypeOf.Class, create:() => TranslationUnitProxy()),
    'TranslationUnitGroupProxy': TypeInfo(TypeOf.Class, create:() => TranslationUnitGroupProxy()),
    'List<TranslationUnitProxy>': TypeInfo(TypeOf.Class, create:() => <TranslationUnitProxy>[]),
    'TranslationReviewProxy': TypeInfo(TypeOf.Class, create:() => TranslationReviewProxy()),
    'List<TranslationUnitGroupProxy>': TypeInfo(TypeOf.Class, create:() => <TranslationUnitGroupProxy>[]),
});

Dart GetTranslationReview DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json

To embed the response in a jsonp callback, append ?callback=myCallback

HTTP + JSON

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/translations/review/{id} HTTP/1.1 
Host: www.imglobal.com 
Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length

{"ActualSourceLanguage":"String","TargetLanguage":"String","ItemType":"String"}